org.springframework.cloud.dataflow.server.service.impl

## Class DefaultTaskExecutionRepositoryService

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.DefaultTaskExecutionRepositoryService

- All Implemented Interfaces:
    TaskExecutionCreationService

      @Transactional
      public class DefaultTaskExecutionRepositoryService
      extends Object
      implements TaskExecutionCreationService

  Default implementation of TaskExecutionCreationService that creates a `TaskExecution` with a transaction propagation setting of `Propagation.REQUIRES_NEW`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTaskExecutionRepositoryService(org.springframework.cloud.task.repository.TaskRepository taskRepository)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.cloud.task.repository.TaskExecution` | `createTaskExecution(String taskName)` Creates a `TaskExecution` using the specified taskName

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTaskExecutionRepositoryService

          public DefaultTaskExecutionRepositoryService(org.springframework.cloud.task.repository.TaskRepository taskRepository)

  - ### Method Detail

    - #### createTaskExecution

          @Transactional(propagation=REQUIRES_NEW)
          public org.springframework.cloud.task.repository.TaskExecution createTaskExecution(String taskName)

      Description copied from interface: `TaskExecutionCreationService`
      Creates a `TaskExecution` using the specified taskName
      Specified by:
        `createTaskExecution` in interface `TaskExecutionCreationService`
      Parameters:
        `taskName` - the name to be associated with the `TaskExecution`
      Returns:
        `TaskExecution`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.